Slackware Linux 12.2 com driver NVidia

Publicado por Guilherme de Andrade Pereira em 22/12/2008

[ Hits: 8.376 ]

Blog: http://guiap.wordpress.com

 


Slackware Linux 12.2 com driver NVidia



Saiu mais uma versão do Slackware Linux, a 12.2, que vem com o kernel 2.6.27.7. Depois de instalá-lo, baixei o último driver da Nvidia (NVIDIA-Linux-x86-173.14.12-pkg1) e para minha surpresa, quando fui instalar, tive o seguinte erro:

"Unable to build the NVIDIA kernel module"

Depois de pesquisar bastante na internet, tentei recompilar o kernel sem o módulo da Nvidia Riva, mas não tive sucesso. Então procurando mais um pouco, descobri que para resolver o problema era apenas baixar o patch do driver para o kernel 2.6.27.7.

Seguem os passos para resolver o problema:

1 - baixe o último driver da Nvidia (www.nvidia.com).

2 - baixe o patch aqui

3 - como root, extraia o driver da Nvidia:

# sh NVIDIA-Linux-x86-173.14.12-pkg1.run --extract-only

4 - entre no diretório:

# cd NVIDIA-Linux-x86-173.14.12-pkg1

5 - agora aplicaremos o patch, supondo que o patch esteja no diretório /home/slackware/patch_2.6.27-rc1.txt.

# patch -p1 < /home/slackware/patch_2.6.27-rc1.txt

6 - feito isso é só executar a instalação do driver:

# ./nvidia-installer

Bom, é isso e até a próxima!

Guilherme de Andrade Pereira

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Linux Mint em português do Brasil

Configurando teclado com layout americano para funcionar símbolos do alfabeto brasileiro

Como adicionar um repositório no Oracle Linux Server

Uma maneira diferente de escrever o dhcpd.conf

Deixando seu aterm transparente

  

Comentários
[1] Comentário enviado por lucianomarques1 em 23/12/2008 - 08:46h

Cara você sabe se esse pacth serve para o driver:

NVIDIA-Linux-x86-96.43.07-pkg1.run

To apanhando muito para instalar a minha GForce 2. Tentei fazer o descrito acima mas não funcionou ????

Na hora de aplicar o patch, nada acontece, você saberia me responder o que pode estar acontecendo de errado ????

[ ]'s

Luciano.

[2] Comentário enviado por Guilherme.AP em 23/12/2008 - 09:17h

Não tentei com esse driver, mas a noite eu tento aplicar o patch nele.

[3] Comentário enviado por lucianomarques1 em 23/12/2008 - 12:56h

Eu tentei instalar um driver mais novo (não me lembro se foi o mesmo que o seu), mas deu erro de GPU.

Se você puder fazer o teste, agradeço muito. Tomara que esse kernel valha muito a pena.

Luciano.

[4] Comentário enviado por femars em 29/12/2008 - 16:52h

Brother, talvez vc possa me ajudar, estou com problema na GLX, qualquer coisa referente a aceleração 3d ou msmo qdo dou o comando "glxgears" me apresenta esse erro "Xlib: extension "GLX" missing on display ":0.0" ... sendo que o driver está instaldo corretamente e no xorg.conf está habilita para carregar glx... tem alguma dica...

p.s: estou usando o 12.1 ..vlw

[5] Comentário enviado por Guilherme.AP em 29/12/2008 - 19:33h

Luciano: desculpe a demora, mas tente com esse driver e me diga se deu certo:
http://us.download.nvidia.com/XFree86/Linux-x86/173.14.12/NVIDIA-Linux-x86-173.14.12-pkg1.run

[6] Comentário enviado por Guilherme.AP em 29/12/2008 - 19:38h

xiiico, você consegue carregar o x? tente reconfigurar o xorg com o comando xorgconfig, e depois instala o driver.

Agora se o probleam é só quando configura o GLX no xorg, me manda o seu xorg.conf para eu tentar te ajuda....

guilherme[dot]andrades[at]gmail[dot]com

[7] Comentário enviado por C.Joseph em 31/01/2009 - 12:12h

Não sei quanto a vocês mas eu uso desde o Slackware 12.1 esse driver aqui> NVIDIA-Linux-x86-173.14.15-pkg1.run (beta).


Quando tentei instalar o driver stable (173.14.12), mesmo com patch não deu certo aqui no 12.2, porém removi todo o driver stable e instalei o 173.14.15 citado acima, e sem patch nem nada rodou sossegado.

[8] Comentário enviado por staltux em 03/02/2009 - 03:00h

ai gente so pra constar ta
eu tenho uma mx-440 e sempre usei o driver NVIDIA-Linux-x86-96.43.05-pkg1.run no 12.0 e no 12.1
agora no 12.2 nao funcionou...tentei o mesmo que o lucianomarques1, a NVIDIA-Linux-x86-96.43.07-pkg1.run, tambem nao foi...e sabe qual foi?

>>>`NVIDIA-Linux-x86-96.43.09-pkg1.run`<<<hehehe...nem apliquei path nem nada, e ficou otimo...
mas detalhei lucianomarques1, se vc procurar no site da nvidia vai ta falando pra vc baixar essa ai que vc tentou, esse mais novo( o .09) vc encontra no ftp da nvidia...mais especificamente aqui/

ftp://download.nvidia.com/XFree86/Linux-x86/96.43.09/NVIDIA-Linux-x86-96.43.09-pkg1.run

perfect MX-440 Slackware 12.2 + SmartLink HSP56micromodem
flws



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts